1

As I am a complete beginner, I had troubles getting the XY tools plug in running. Now that the xlrd and xlw module error has disappeared after installment of said modules, I can finally choose the X and Y axis. But after doing so I get the following error message after confirmation:

File "/Users/user/.qgis2/python/plugins/xytools/xytools.py", line 162, in excelOpen self.loadSheetAsLayer(provider) File "/Users/metzi/.qgis2/python/plugins/xytools/xytools.py", line 211, in loadSheetAsLayer x=row[self.layerInfo[self.layer].xIdx] IndexError: list index out of range

The .xls file in use should be fine, since it's from a Prof in a geomatics class and already in use for 4 years. Can anybody help a total beginner?

1

This post provides this troubleshoot option [Qgis-user] XY Tools error

After trying around, it works if there is now other layer loaded (an empty qgis project) and the CRS of the qgis-project is set to the CRS of the x/y-data of the table. (The CRS of the loaded data will be set to the CRS of the project.)

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.